function AddMailAccountManual() {
	var config = {};
	openDialog("chrome://manualaccount/content/emailWizard.xul", "", "modal, centerscreen", config);
	if (! config.ok)
		return;

	var accountManager = Components.classes["@mozilla.org/messenger/account-manager;1"]
                       .getService(Components.interfaces.nsIMsgAccountManager);
	if (config.type == 0)
		var type = "imap";
	else
		var type = "pop3";
	var hostname = config.server;
	var email = config.email; 
	var inServer = accountManager.createIncomingServer(email,hostname,type);
	inServer.port = config.port;
	inServer.socketType = config.socket;
	inServer.prettyName = email;
	inServer.doBiff = false
	inServer.valid = true;

	var identity = accountManager.createIdentity();
	identity.fullName = config.fullname;
	identity.email = email;
	identity.valid = true;

	var account = accountManager.createAccount();
	account.addIdentity(identity);
	account.incomingServer = inServer;
	if (! accountManager.defaultAccount)
		accountManager.defaultAccount = account;
	selectServer(inServer,null);
}
